#!/system/bin/sh
binprefix="${ANDROID_ROOT}/bin/busybox "
#modpath="${ANDROID_DATA}/lib/modules"
export MODPATH="${ANDROID_DATA}/lib/modules"
modules="\
net/irda/irda \
net/irda/ircomm/ircomm \
net/irda/ircomm/ircomm-tty \
net/irda/irlan/irlan \
net/irda/irnet/irnet \
drivers/net/irda/stir4200"
#drivers/net/irda/irda-usb"
rmodules="\
stir4200 \
irlan \
irnet \
ircomm_tty \
ircomm \
irda"
${binprefix}cat /proc/modules | ${binprefix}grep -q ^irda
if ${binprefix}test $? -ne 0; then
  for m in ${modules}; do
    # ${ANDROID_ROOT}/bin/insmod ${modpath}/${m}.ko  
    ${ANDROID_ROOT}/bin/insmod ${m}.ko  
  done
else
  for m in ${rmodules}; do
    ${ANDROID_ROOT}/bin/rmmod ${m}  
  done
fi

